Subject: bug#59824: closed (Re: flymake-show-project-diagnotics not updating (eglot for Java with jdtls))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Dec 2022 11:34:02 +0000

Your bug report

#59824: flymake-show-project-diagnotics not updating (eglot for Java with jdtls)

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
59824: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59824
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: flymake-show-project-diagnotics not updating (eglot for Java with jdtls)
From: João Távora <[email-masked]>
To: David Ventimiglia <[email-masked]>, [email-masked]
Date: Wed, 7 Dec 2022 11:34:11 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

I've now pushed a fix for this in the emacs-29 branch.

Marking this bug done.

Thanks,
João

Subject: Re: flymake-show-project-diagnotics not updating (eglot for Java with jdtls)
From: João Távora <[email-masked]>
To: David Ventimiglia <[email-masked]>
Cc: "simon254--- via Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]>
Date: Sun, 4 Dec 2022 20:46:56 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks David. Please also repost here the transcripts of the events buffer
that you collected and shared in the original discussion, for convenience.

On Sun, Dec 4, 2022, 20:39 David Ventimiglia <
[email-masked]> wrote:

> Hello,
>
> When I run flymake-show-project-diagnostics some warnings are listed for
> my Java project. As I jump to those locations and fix the warnings, the
> diagnostics buffer doesn't update. One problem I have is that I don't even
> know where to begin to look in order to troubleshoot this. It could be a
> problem with eglot, jdtls, flymake, or some combination thereof. I started
> a GitHub discussion for the eglot project here:
>
> https://github.com/joaotavora/eglot/discussions/1131#discussion-4626934
>
> In summary, for Java if I add say an unused import to a file, jdtls
> publishes a diagnostic event for this and the flymake buffer shows a
> warning for the unused import.  If I correct the issue by deleting the
> unused import, jdtls again publishes a correct diagnostic report for the
> file, but the flymake diagnostics buffer doesn't update.
>
> After some correspondence with its maintainer, I believe we ruled out the
> jdtls server, since the events buffer seems to show an accurate diagnostics
> report being delivered from the server to Emacs/eglot/flymake.  We're
> wondering if perhaps the problem lies therefore in eglot and/or flymake.  I
> should also say that I'm using the "stock" eglot and flymake built into
> Emacs, as I'm using emacs-snapshot.  Here's my Emacs version info:
>
> GNU Emacs 30.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.33,
> cairo version 1.16.0) of 2022-12-03
>
> I grant that this may not be a bug and could be a mis-configuration, but I
> am trying to track that down.  Thanks!
>
> Best,
> David Ventimiglia
>
>